Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libpaper
Version:	1.1.23
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://packages.debian.org/stable/source/libpaper
Group:		Text Tools
Source0:	%{name}_%{version}.tar.gz
Patch0:		libpaper-1.1.14-0.4-config_fix-1.patch	
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	libpaper is a simple library for use by programs needing to handle papers.
BuildRequires:	glibc-devel
BuildRequires:  /bin/bash

%description
The paper library and accompanying files are intended to provide a simple way
for applications to take actions based on a system- or user-specified paper size.
This release is quite minimal, its purpose being to provide really basic functions
(obtaining the system paper name and getting the height and width of a given kond of paper)
that applications can immediately integrate.
A more complete library, using a capabilities file for papers (giving,
in addition to the size, informations like paper weigth, color, etc) will be released later.
For more details see: http://packages.debian.org/stable/source/libpaper

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0	-p0

%build
#aclocal && automake --foreign --add-missing --copy && autoconf
./configure 	--prefix=%_prefix \
		--libdir=%_libdir \
		--mandir=%_mandir
make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_sbindir
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.23-1
- Version update
* Tue May 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.21-1
- Version update
* Wed May 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.14-1
- Version update
* Mon Oct 03 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.8-1
- Initial Release
